UTMPDUMP(1)

NAME
utmpdump - dump UTMP and WTMP files in raw format

SYNOPSIS
utmpdump [-froh] filename

DESCRIPTION
utmpdump is a simple program to dump UTMP and WTMP files in raw format, so they can be examined.

OPTIONS

-f  output appended data as the file grows.

-r  reverse. Write back edited login information into utmp or wtmp files.

-o  use old libc5 format.

-h  usage information.

utmpdump can be useful in cases of corrupted utmp or wtmp entries. It can dump out utmp/wtmp to an ASCII file, then that file can be edited to remove bogus entries and reintegrated, using

utmpdump -r < ascii file > wtmp

but be warned as utmpdump was written for debugging purpose only.

BUGS
You may not use the option -r as the format for the utmp/wtmp files strongly depends on the input format. This tool was not written for normal use but for debugging.

AUTHOR
Michael Krapp

SEE ALSO
last(1), w(1), who(1), utmp(5),